id: lastpass-phish

info:
  name: lastpass phishing Detection
  author: rxerium
  severity: info
  description: |
    A lastpass phishing website was detected
  reference:
    - https://lastpass.com
  metadata:
    max-request: 1
  tags: phishing,lastpass,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - '#1 Password Manager &amp; Vault App with Single-Sign On &amp; MFA Solutions - LastPass'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"lastpass.com")'
# digest: 490a004630440220016aae241c90cdef19dd15b7de8bfaa37e02e7c4a50371fd886bfb341402839d02202ff040d3e4b9025f8fc9433fc8c96c1287caa3a51e6be9a559a6e97adac084b8:922c64590222798bb761d5b6d8e72950